#
# spec file for package gstreamer (Version 0.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel aalib aalib-devel alsa alsa-devel audiofile cdparanoia control-center control-center-devel docbktls docbook-dsssl-stylesheets esound esound-devel gdk-pixbuf gdk-pixbuf-devel ghostscript-library glib glib-devel gnome-libs gnome-libs-devel gnome-utils gnome-vfs gnome-vfs-devel gpc gpp gtk gtk-devel gtkdoc gxmhtml hermes imlib imlib-devel indent jade_dsl kdelibs-artsd libghttp libghttp-devel libglade libglade-devel libgpp libjpeg libmpeg2 libogg libogg-devel libpng libtiff libungif libvorbis libvorbis-devel libxml libxml-devel libz nasm orbit orbit-devel quicktime4linux quicktime4linux-devel transfig xf86 xpm
# usedforbuild    SDL SDL-devel aaa_base aaa_dir aalib aalib-devel alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip cdparanoia compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils docbktls docbook-dsssl-stylesheets e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext ghostscript-library glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-utils gnome-vfs gnome-vfs-devel gpc gpm gpp gppshare grep groff gtk gtk-devel gtkdoc gxmhtml gzip hermes imlib imlib-devel indent jade_dsl kbd kdelibs-artsd less libghttp libghttp-devel libglade libglade-devel libgpp libjpeg libmpeg2 libogg libogg-devel libpng libtiff libtool libungif libvorbis libvorbis-devel libxml libxml-devel libz m4 make man mktemp modutils nasm ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps quicktime4linux quicktime4linux-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone transfig unzip util-linux vim xdevel xf86 xshared

Name:         gstreamer
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Development
Autoreqprov:  on
Version:      0.2.1
Release:      57
Summary:      Streaming-media framework runtime
Source: %{name}-%{version}.tar.bz2 
URL: http://gstreamer.net/download.shtml
BuildRoot: /var/tmp/gstreamer-root
Docdir: %{_defaultdocdir}/gstreamer
Patch: gstreamer-suseconfig.dif
Patch1: gstreamer-gnome-vfs.dif
Patch3: gstreamer-alsa-current.dif
%package devel
Summary:      GStreamer development files
Group: Development/Libraries
Requires: %{name}

%description devel
This package contains the essential files to develop applications with
GStreamer.

Authors:
--------
    Erik Walthinsen <omega@cse.ogi.edu>
    Wim Taymans <wim.taymans@tvd.be>
    Richard Boulton <richard@tartarus.org>
    Chris Emerson (PPC port)

SuSE series: gnm


%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

Authors:
--------
    Erik Walthinsen <omega@cse.ogi.edu>
    Wim Taymans <wim.taymans@tvd.be>
    Richard Boulton <richard@tartarus.org>
    Chris Emerson (PPC port)

SuSE series: gnm

%prep
%setup -n gstreamer-%{version}
%patch -p1 
%patch1 -p1
%patch3 -p1

%build
CPPFLAGS="-I/opt/gnome/include" \
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
CFLAGS="$RPM_OPT_FLAGS" \
  make

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT/sbin/conf.d
install -m755 SuSEconfig.gstreamer $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.gstreamer
install -d -m755 $RPM_BUILD_ROOT/var/adm/SuSEconfig
touch $RPM_BUILD_ROOT/var/adm/SuSEconfig/run-gstreamer

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force to run SuSEconfig.gstreamer
touch /var/adm/SuSEconfig/run-gstreamer

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{prefix}/bin/gsteditor
%{prefix}/bin/gstmediaplay
%{prefix}/bin/gstreamer-complete
%{prefix}/bin/gstreamer-compprep
%{prefix}/bin/gstreamer-inspect
%{prefix}/bin/gstreamer-launch
%{prefix}/bin/gstreamer-register
%{prefix}/lib/lib*.so.*
%{prefix}/lib/gst/*
%{prefix}/share/*
%{prefix}/man/man1/*
/sbin/conf.d/SuSEconfig.gstreamer
%config(missingok) /var/adm/SuSEconfig/run-gstreamer

%files devel
%defattr(-, root, root)
%{prefix}/bin/gstreamer-config
%{prefix}/include/*
%{prefix}/lib/lib*.la
%{prefix}/lib/lib*.so
%{prefix}/lib/pkgconfig/*

%changelog -n gstreamer
* Sat Sep 08 2001 - egger@suse.de
- Removed LAME due to legal reasons.
* Mon Aug 20 2001 - ro@suse.de
- added diffs from cvs to build with current lame and current alsa
* Mon Aug 20 2001 - ro@suse.de
- up to 0.2.1 to try to fix compilation
- added kdelibs-artsd to neededforbuild
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
* Wed Jun 27 2001 - hhetter@suse.de
- improved documentation support, enabled gtkdoc & docbkutils
* Tue Jun 26 2001 - hhetter@suse.de
- added SuSEconfig.gstreamer script
- enabled sdl, libvorbis, ogg, gnome, alsa,
  cdparanoia, aalib and mpeg2 modules
- functionality test in chrooted environment
* Mon Jun 18 2001 - hhetter@suse.de
- fixed typo in specfile
* Fri Jun 15 2001 - hhetter@suse.de
- update to 0.2.0
- specfile & filelist rework
* Thu Mar 15 2001 - hhetter@suse.de
- initial SuSE Package
